# SPDX-FileCopyrightText: Emery Hemingway
#
# SPDX-License-Identifier: LicenseRef-Hippocratic-1.1

{ genodepkgs, nixpkgs, nim-overlay, prSrc }:

let pkgs = import genodepkgs { inherit nixpkgs nim-overlay; };
in {
  build.x86_64.solo5 = pkgs.solo5.overrideAttrs (attrs: {
    src = prSrc;
    preConfigure = ''
      cat <<EOM >include/solo5/solo5_version.h.distrib
      #ifndef __VERSION_H__
      #define __VERSION_H__
      #define SOLO5_VERSION "pull-request-test"
      #endif
      EOM
    '';
  });
}
